<?php
class TelefonoEntrada extends AppObjeto {
	
	//Propiedades
	protected $codigo;
	protected $telefono;
	protected $codigoOrigen;
	protected $empresa;
	protected $nombre;
	
			
		/* para conectar con bd */
	protected static $_aliasTabla = 'te';
	protected static $_nombreTabla = 'TELEFONOS_ENTRADA';
	protected static $_campoPK = 'CODIGO_TE';
	
	
	// InitMetaDatos
	protected static function initMetaDatos(){
		self::addPropiedadBD('te', 'CODIGO_TE', 'codigo', self::META_INT);
		self::addPropiedadBD('te', 'NUMERO_TE', 'telefono', self::META_VARCHAR);
		self::addPropiedadBD('te', 'EMPRESA_TE', 'empresa', self::META_VARCHAR);
		self::addPropiedadBD('te', 'ORIGEN_TE', 'codigoOrigen', self::META_INT);
		self::addPropiedadBD('te', 'NOMBRE_TE', 'nombre', self::META_VARCHAR);
	}
	// Métodos

	public static function getTelefonoByOrigen($codigoOrigen){
		$select = self::selectObjeto();
		$select->where('ORIGEN_TE=?',$codigoOrigen);
		$res = self::selectExecute($select);
		if ($res->estaVacio())
			return '';
		else {
			$res = $res->toArray();
			return $res[0]['telefono'];
		}
			
	}
	
	
	// Get y Set
	
}